import { AWSError, DynamoDB } from 'aws-sdk';
import { PromiseResult } from 'aws-sdk/lib/request';
export interface DynamoDbInterface {
    documentClient: DynamoDB.DocumentClient;
    tableName: string;
    get: <T>(key: TableKey) => Promise<T | undefined>;
    put: <T extends TableKey>(item: T) => Promise<void>;
    delete: (key: TableKey) => Promise<void>;
    update: (key: TableKey, updateData: UpdateData) => Promise<PromiseResult<DynamoDB.DocumentClient.UpdateItemOutput, AWSError>>;
}
export interface TableKey {
    partitionKey: string;
    sortKey: string;
}
export interface UpdateData {
    UpdateExpression: string;
    ExpressionAttributeNames: Record<string, string>;
    ExpressionAttributeValues: Record<string, any>;
}
